#pragma once

#include "Types.h"

class	CMap{
protected:
	ILuint	ImgID;
	GLuint	TexID;
	int		Width, Height;
public:
	void	Generate( unsigned char* Data );
	void	CreateVoid( int w, int h );
	bool	LoadImage( const char* Name );
	void	SetViewport();
	void	RenderTo();
	void	Bind();
	void	Free();
	CMap(){
		ImgID = NULL;
		TexID = NULL;
		Width = Height = 0;
	}
	virtual ~CMap(){
		Free();
	}
};
